Bug 464614 - avc denied for /usr/libexec/postfix/local to /root
avc denied for /usr/libexec/postfix/local to /root
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 14:21 EDT by Roland McGrath
Modified: 2008-11-17 17:05 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:05:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland McGrath 2008-09-29 14:21:37 EDT
Description of problem:

postfix trying to deliver mail to the local root user gets an avc denial for looking at /root (the home dir), probably it's trying to look for /root/.forward or something.  

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.3.1-91.fc9.noarch
postfix-2.5.1-2.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.remove sendmail, install postfix, restart
2.echo hi | mail -s test root
3.see denial
  
Actual results:
host=magilla type=AVC msg=audit(1222712330.35:1254): avc: denied { search } for pid=27777 comm="local" name="root" dev=dm-3 ino=1056769 scontext=system_u:system_r:postfix_local_t:s0 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir 

Expected results:
no denial

Additional info:

setroubleshoot popup:

Source Context:  system_u:system_r:postfix_local_t:s0Target Context:  system_u:object_r:admin_home_t:s0Target Objects:  ./root [ dir ]Source:  localSource Path:  /usr/libexec/postfix/localPort:  <Unknown>Host:  magillaSource RPM Packages:  postfix-2.5.1-2.fc9Target RPM Packages:  filesystem-2.4.13-1.fc9Policy RPM:  selinux-policy-3.3.1-91.fc9Selinux Enabled:  TruePolicy Type:  targetedMLS Enabled:  TrueEnforcing Mode:  EnforcingPlugin Name:  home_tmp_bad_labelsHost Name:  magillaPlatform:  Linux magilla 2.6.25.14-108.fc9.x86_64 #1 SMP Mon Aug 4 13:46:35 EDT 2008 x86_64 x86_64Alert Count:  156First Seen:  Fri 04 Jul 2008 01:53:02 AM PDTLast Seen:  Mon 29 Sep 2008 11:18:50 AM PDTLocal ID:  8ce78eb3-979e-4196-baca-44b1ad6ec46bLine Numbers:  Raw Audit Messages :host=magilla type=AVC msg=audit(1222712330.35:1254): avc: denied { search } for pid=27777 comm="local" name="root" dev=dm-3 ino=1056769 scontext=system_u:system_r:postfix_local_t:s0 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir host=magilla type=SYSCALL msg=audit(1222712330.35:1254): arch=c000003e syscall=6 success=no exit=-13 a0=7fbe3f666af0 a1=7fff472920e0 a2=7fff472920e0 a3=7fbe3f2167a0 items=0 ppid=4747 pid=27777 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="local" exe="/usr/libexec/postfix/local" subj=system_u:system_r:postfix_local_t:s0 key=(null)
Comment 1 Daniel Walsh 2008-09-29 15:15:06 EDT
Fixed in selinux-policy-3.3.1-97.fc9.noarch
Comment 2 Daniel Walsh 2008-11-17 17:05:53 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.